Kerbal Space Program - Bug #10017

Ragdoll on EVA spazzing out after vessel switch
06/23/2016 01:45 AM - Enroy

Status: Updated Start date: 06/23/2016
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

I'm not sure if this is an old bug and if it has been reported, or this is new in 1.1.3. My apologies if it's been reported already, | can

find similar issues but not exactly this.

How to reproduce:

1. Have two kerbals ready to EVA, go outside (I was on the Mun) and let your kerbal fall to the ground some distance from your
vessel (it was about 200m for me, not sure if this matters) but don't get back up!
2. Switch to your vessel and EVA another kerbal and get close to the fallen kerbal.
3. You'll notice they're in a weird position, now switch back to the fallen kerbal and you can use the jetpack freely except the ragdoll
is still in "fallen” status, making it impossible to move properly with the thrusters going all over the place.

Here's what Val looked like:
| can get the logs if necessary however | doubt there were any exceptions.

History

#1 - 06/23/2016 01:48 AM - Enroy

- File persistent.sfs added

Meant to link this savefile; switch to Kerbal X or Valentina to try it out.

#2 - 07/17/2016 10:09 AM - TriggerAu
- Status changed from New to Updated
- % Done changed from 0 to 10

Setting updated for confirmation during cleanup

#3 - 07/29/2016 04:29 PM - sal_vager

| can't reproduce this, the Kerbal is standing up before switching every time.
